Description

When updating parameters, if there is an "array" param that has successfully validated when updating other parameters I get the

error:

Warning!

Validation failed: Value is invalid array

I think this is because Foreman is escaping the JSON in the array again (double escape) which makes it invalid.

See attached screenshot for example.

Stack trace is:

ActiveRecord::RecordInvalid

Validation failed: Value is invalid array

app/models/concerns/host_common.rb:34:in `block in lookup_values_attributes='

app/models/concerns/host_common.rb:27:in `each_value'

app/models/concerns/host_common.rb:27:in `lookup_values_attributes='

app/controllers/hosts_controller.rb:112:in `block in update'

app/models/taxonomy.rb:49:in `block in no_taxonomy_scope'

app/models/taxonomy.rb:56:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:55:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:54:in `as_taxonomy'

app/models/taxonomy.rb:48:in `no_taxonomy_scope'

app/controllers/hosts_controller.rb:104:in `update'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'!!

History

#1 - 05/13/2014 10:57 AM - Ollie Lawson

- File Capture_1.PNG added

My bad, screenshot attached this time

#2 - 05/13/2014 11:05 AM - Dominic Cleal

- Status changed from New to Feedback

I think this is bug #4639, as the screenshot shows a Ruby style hash (with => separators rather than : for JSON) when you're editing it.

Please try Foreman 1.4.4 which contains the fix: http://theforeman.org/manuals/1.4/index.html#Releasenotesfor1.4.4

#3 - 05/13/2014 11:08 AM - Ollie Lawson
https://projects.theforeman.org/issues/4639
http://theforeman.org/manuals/1.4/index.html#Releasenotesfor1.4.4


Thanks Dominic, I'll update my version now and check.

#4 - 05/17/2017 08:46 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
